| mipicsiss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Data Structures | Enumerations | Functions | Variables
TI_TMDS1204

## Data Structures
struct | Ti_RegisterField
| This typedef contains translations of FRL_Rate to Lanes and Line Rates. More...

## Enumerations
enum | Ti_DeviceType
| FRL Character Rate Enumeration. More...

## Functions
int | TI_TMDS1204_Init (void *IicPtr, u8 I2CSlaveAddress, u8 Revision, u8 IsTx)
| This function initializes the TI TMDS1204 with default values for use with the Video FMC. More...
int | TI_TMDS1204_CheckDeviceID (void *IicPtr, u8 I2CSlaveAddress)
| This function checks the TI TMDS1204 device ID. More...
u8 | TI_TMDS1204_CheckDeviceVersion (void *IicPtr, u8 I2CSlaveAddress)
| This function checks the TI TMDS1204 Device Revision Number. More...
int | TI_TMDS1204_LineRateReconfig (void *IicPtr, u8 I2CSlaveAddress, u8 Revision, u8 IsFRL, u64 LineRate, u8 Lanes, u8 IsTx)
| This function reconfigures the TI TMDS1204 cable redriver. More...
void | TI_TMDS1204_RegisterLibraryDump (void)
| This function prints out all the contents from TiRegisterFields array. More...
void | TI_TMDS1204_RegisterDump (void *IicPtr, u8 I2CSlaveAddress)
| This function displays a registerdump of the TI TMDS1204 device. More...

## Variables
const Ti_RegisterField | TiRegisterFields []
| This table contains the values to be programmed to TI device. More...

## Enumeration Type Documentation

enum Ti_DeviceType

FRL Character Rate Enumeration.

## Function Documentation

int TI_TMDS1204_CheckDeviceID | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function checks the TI TMDS1204 device ID.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

Referenced by TI_TMDS1204_RegisterDump().

u8 TI_TMDS1204_CheckDeviceVersion | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function checks the TI TMDS1204 Device Revision Number.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

int TI_TMDS1204_Init | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress,
|  | u8 | Revision,
|  | u8 | IsTx
| ) |  |

This function initializes the TI TMDS1204 with default values for use with the Video FMC.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  Revision | is the revision number of the TI device.
  IsTx | specifies if the configuration is for TX or RX.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

int TI_TMDS1204_LineRateReconfig | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress,
|  | u8 | Revision,
|  | u8 | IsFRL,
|  | u64 | LineRate,
|  | u8 | Lanes,
|  | u8 | IsTx
| ) |  |

This function reconfigures the TI TMDS1204 cable redriver.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.
  Revision | is the revision number of the TI device.
  IsFRL | specifies if the mode is FRL or TMDS.
  LineRate | specifies the linerate.
  IsTx | specifies if the configuration is for TX or RX.

Returns
  - XST_SUCCESS Initialization was successful.
  - XST_FAILURE I2C write error.

Note
  None.

void TI_TMDS1204_RegisterDump | ( | void * | IicPtr,
|  | u8 | I2CSlaveAddress
| ) |  |

This function displays a registerdump of the TI TMDS1204 device.

Parameters

  I2CBaseAddress | is the baseaddress of the I2C core.
  I2CSlaveAddress | is the 7-bit I2C slave address.

Returns
  None

Note
  None.

References TI_TMDS1204_CheckDeviceID().

void TI_TMDS1204_RegisterLibraryDump | ( | void |  | ) |

This function prints out all the contents from TiRegisterFields array.

Parameters

  None |

Returns
  None

Note
  None.

References TiRegisterFields.

## Variable Documentation

const Ti_RegisterField TiRegisterFields[]

This table contains the values to be programmed to TI device.

Each entry is of the format: 1) Device Type 2) Register Address 3) Values

Referenced by TI_TMDS1204_RegisterLibraryDump().